<script>
import {Line} from 'vue-chartjs'

export default {
  name: "MonthlyHumidChart",
  extends: Line,

  props: {
    passedData: {},
  },

  data() {
    return {

      dates: [],
      humidsIn: [],
      humidsOut: [],

      chartData: {
        labels: [],
        datasets: [
          {
            label: '',
            data: []
          },
          {
            label: '',
            data: []
          }
        ]
      }

    }
  },

  beforeMount() {

      for (const obj of this.passedData) {
        this.dates.push(obj.readDate.substring(5, 16))
        this.humidsIn.push(obj.humidityIn)
        this.humidsOut.push(obj.humidityOut)
      }
  },

  mounted() {
    this.renderChart(this.chartData, {responsive: true, maintainAspectRatio: false})
  },

  created() {
    this.chartData = {
      labels: this.dates,
      datasets: [
        {
          label: 'Wilgotność wewnątrz ula',
          borderColor: '#f12312',
          fill: false,
          data: this.humidsIn
        },
        {
          label: 'Wilgotność na dworze',
          borderColor: '#008080',
          fill: false,
          data: this.humidsOut
        }
      ]
    }
  },
}
</script>

<style scoped>

</style>